can't pin KTouch to the launcher

Bug #693755 reported by godhika on 2010-12-23
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
BAMF
Undecided
Unassigned
Unity
Fix Released
High
Gord Allott
bamf (Ubuntu)
Undecided
Unassigned
unity (Ubuntu)
High
Unassigned

Bug Description

Binary package hint: unity

When I try to pin KTouch to the Unity launcher it only stays there for one session. After restarting Ubuntu this item, which I previously pinned to the launcher disappeared once again.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: unity 3.2.8-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.37-10.24-generic 2.6.37-rc6
Uname: Linux 2.6.37-10-generic x86_64
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/allscreens/options/active_plugins'
Date: Thu Dec 23 12:53:06 2010
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha amd64 (20101202)
InstallationMedia_: Ubuntu 11.04 "Natty Narwhal" - Alpha amd64 (20101202)
MachineType: Dell Inc. Studio 1537
PciDisplay: 01:00.0 VGA compatible controller [0300]: ATI Technologies Inc Mobility Radeon HD 3400 Series [1002:95c4] (prog-if 00 [VGA controller])
ProcEnviron:
 LANGUAGE=en_US:en
 PATH=(custom, user)
 LANG=en_US.UTF-8
 LC_MESSAGES=en_US.utf8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.37-10-generic root=UUID=623db959-8f10-405c-a389-5a3be11f2ee4 ro vt.handoff=7 quiet splash
ProcVersionSignature_: Ubuntu 2.6.37-10.24-generic 2.6.37-rc6
RelatedPackageVersions:
 xserver-xorg 1:7.5+6ubuntu4
 libgl1-mesa-glx 7.9+repack-1ubuntu3
 libdrm2 2.4.22-2ubuntu1
 xserver-xorg-video-intel 2:2.13.901-2ubuntu2
 xserver-xorg-video-ati 1:6.13.2-1ubuntu2
SourcePackage: unity
XorgConf: Error: [Errno 2] No such file or directory: '/etc/X11/xorg.conf'
dmi.bios.date: 12/03/2008
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A07
dmi.board.asset.tag: 3QPY74J
dmi.board.name: 0P171H
dmi.board.vendor: Dell Inc.
dmi.board.version: A07
dmi.chassis.asset.tag: 3QPY74J
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: A07
dmi.modalias: dmi:bvnDellInc.:bvrA07:bd12/03/2008:svnDellInc.:pnStudio1537:pvrA07:rvnDellInc.:rn0P171H:rvrA07:cvnDellInc.:ct8:cvrA07:
dmi.product.name: Studio 1537
dmi.product.version: A07
dmi.sys.vendor: Dell Inc.
glxinfo: Error: [Errno 2] No such file or directory
system: distro = Ubuntu, architecture = x86_64, kernel = 2.6.37-10-generic

godhika (godhika) wrote :
Neil J. Patel (njpatel) on 2011-01-21
Changed in unity:
assignee: nobody → Jason Smith (jassmith)
importance: Undecided → High
milestone: none → 3.6
status: New → Triaged
Changed in unity (Ubuntu):
importance: Undecided → High
status: New → Triaged
Jason Smith (jassmith) wrote :

Bamf bug

Changed in unity:
status: Triaged → Invalid
Changed in bamf:
status: New → Confirmed
Didier Roche (didrocks) on 2011-02-21
Changed in unity:
status: Invalid → Triaged
Didier Roche (didrocks) on 2011-02-21
Changed in bamf (Ubuntu):
status: New → Confirmed
Didier Roche (didrocks) on 2011-03-01
Changed in unity:
milestone: 3.6 → 3.6.2
Neil J. Patel (njpatel) on 2011-03-07
Changed in unity:
milestone: 3.6.2 → 3.6.4
Didier Roche (didrocks) on 2011-03-10
Changed in unity:
milestone: 3.6.4 → 3.6.6
Neil J. Patel (njpatel) on 2011-03-14
Changed in unity:
assignee: Jason Smith (jassmith) → Gord Allott (gordallott)
Gord Allott (gordallott) on 2011-03-16
Changed in bamf:
status: Confirmed → Fix Committed
Changed in unity:
status: Triaged → Fix Committed
Changed in bamf (Ubuntu):
status: Confirmed → Fix Committed
Changed in unity (Ubuntu):
status: Triaged → Fix Committed
Didier Roche (didrocks) on 2011-03-17
Changed in bamf:
status: Fix Committed → Fix Released
Changed in unity:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package bamf - 0.2.80-0ubuntu1

---------------
bamf (0.2.80-0ubuntu1) natty; urgency=low

  * New upstream release.
    - 'Keep in launcher' item missing for some applications (LP: #657771)
    - can't pin KTouch to the launcher (LP: #693755)
 -- Didier Roche <email address hidden> Thu, 17 Mar 2011 17:51:00 +0100

Changed in bamf (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (4.8 KiB)

This bug was fixed in the package unity - 3.6.6-0ubuntu1

---------------
unity (3.6.6-0ubuntu1) natty; urgency=low

  * New upstream release:
    - drag and drop from dash to launcher issues (LP: #727675)
    - unity-panel-service crashed in g_type_class_meta_marshal (LP: #727788)
    - Dash: first-use text entry does not work until Alt-F2 version is used
      (LP: #735342)
    - compiz crashed with SIGSEGV in g_type_check_instance_is_a()
      (LP: #734721)
    - drag from dash to launcher (LP: #662616)
    - Dash - Create single widget for Dashboard (LP: #683729)
    - [FFe] Recently installed applications should be easy to run
      (LP: #670403)
    - Pressing Alt key does not underline mnemonics (LP: #689179)
    - indicator-appmenu breaks Alt accelerator keys (LP: #663030)
    - can't pin KTouch to the launcher (LP: #693755)
    - Unity paints multiple times with multi-screen (LP: #727116)
    - unitymtgrabhandles crashes when no key is set (LP: #727144)
    - SIGSEGV in PlaceEntryHome::SetSearch (LP: #731927)
    - [launcher] New Default favorites (LP: #714707)
    - Dash: Alt-F2 Pressing enter on the dash can start the first entry of the
      second group from the history (LP: #734738)
    - Dash: keyboard arrow navigation disappears off bottom (LP: #735347)
    - Increase the size of the top left Launcher reveal area from 1px to a 3px
      by 3px square (LP: #736034)
    - [dash] scrollbar's clickable zone should extend to the right border of
      the dash border (LP: #651398)
    - Launcher - Replace Dash lens Launcher icons with updated versions
      (LP: #676613)
    - NuxUtilAccessible requires to implement support to key event listeners
      (LP: #702672)
    - launcher icons dnd doesn't behave correctly when the dash is in use
      (LP: #708885)
    - Keyboard-navigation: highlight stays after losing focus (LP: #713632)
    - Implement AtkComponent for ATK objects in the panel service
      (LP: #715297)
    - Super shortcuts for application place and worskspace swither conflicts
      with compiz keys (LP: #723273)
    - Use DeeIndex instead of strcmp in PlaceEntryHome (LP: #724886)
    - [dash] text cursor not vertically centred in the entry (LP: #724927)
    - Moving cursor in dash text entry field causes cursor artifacts
      (LP: #725493)
    - Missing "children_changed" event emission from the atk support
      (LP: #727137)
    - Typing should immediately search; focusing the search field is fiddly
      (LP: #727295)
    - "Find Internet Apps", "Browse the Web", and "Check Mail" are scattered
      in default Dash (LP: #729009)
    - Press-holding on a icon in the Launcher should de-couple the icon and
      enable the user to reorder the icon vertically without leaving the
      Launcher. (LP: #727922)
    - "Shortcuts" heading in Dash seems pointless (LP: #729000)
    - intellihide is incompatible with totem fullscreen / Still some false
      positive on ws switch (LP: #730679)
    - Launcher - provide visual design for launcher keyboard navigation
      (LP: #702490)
    - Dash - Update the 'Shortcuts' dash home icon (LP: #689763)
    - The Unity panel service Does not connect to the
      INDICATOR_OBJECT...

Read more...

Changed in unity (Ubuntu):
status: Fix Committed → Fix Released
Adolfo Jayme (fitojb) on 2014-01-11
no longer affects: bamf (Ubuntu Quantal)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers